Update Tenant Site
1 min
PUT
https://api.upstartcommerce.com/v1/tenants/{tenantId}/sites/{siteId}
tenantIdstringUnique identifier for a given tenant.
siteIdstringUnique identifier for the site.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe request body should contain the updated values for the site.
200<p>Success-site updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
422<p>The request was well-formed but contains semantic errors or violates business rules that prevent processing.</p>
500<p>An unexpected internal server error occurred. The request may be retried, and if the problem persists, contact support with the traceId from the error response.</p>
curl --request PUT \
--url https://api.upstartcommerce.com/v1/tenants/{tenantId}/sites/{siteId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"enabled": true,
"name": "US West Coast Store - Updated",
"url": "new-domain.acmeretail.com"
}'